unit DSPModuleDecl;
{ ffentliche ISDN/CAPI Deklarationen }

interface

const
	MAX_PATH = 260; // Re-Deklaration aus unit Windows. Maximale Lnge eines Dateipfades

type
	TCallState = (csBereit, csAnruf, csVerbinde, csVerbunden, csAufgelegt, csOnHold);
	TDTMFType = (dtmfSendResult, dtmfDetectInit, dtmfDetected);

	TTraceProc = procedure ( TraceType: integer; szText: PChar ); stdcall;
	TCallStateProc = procedure (LineID: Byte; State: TCallState; lpCallData: Pointer); stdcall;
	TDTMFProc = procedure (DTMFType: TDTMFType; lpDTMFData: Pointer); stdcall;
	TQueryTapeProc = procedure (lpQueryTapeData: Pointer ); stdcall;

	PInitParam = ^TInitParam;
	TInitParam = packed record
		CallStateProc : TCallStateProc;
		DTMFProc      : TDTMFProc;
		TraceProc     : TTraceProc;
		QueryTapeProc	: TQueryTapeProc;
		AcceptMSN     : PChar;
	end;

	PVolumeInfo = ^TVolumeInfo;
	TVolumeInfo = packed record
		AudioFrontEnd : Byte;
		Lautsprecher  : Byte;
		Mikrophon     : Byte;
	end;

	PDivaCTVolumeInfo = ^TDivaCTVolumeInfo;
	TDivaCTVolumeInfo = packed record
		Handset_MicVol                   : Byte; // 0-8
		Handset_SpkVol                   : Byte; // 0-5
		Speakerphone_MicVol              : Byte; // 0-8
		Speakerphone_SpkVol              : Byte; // 0-12
		HandsetandSpeakerphone_SpkGain   : Byte;
		HandsetandSpeakerphone_MicGain   : Byte;
		reserved1                        : WORD;
		reserved2                        : WORD;
	end;

	PAnrufInfo = ^TAnrufInfo;
	TAnrufInfo = packed record
		MSN: PChar;
		AnruferNummer: PChar;
	end;

	PConnectInfo = ^TConnectInfo;
	TConnectInfo = packed record
		VerbindungsModus: Byte;
		Fehler: ByteBool;
	end;

	PDisconnectInfo = ^TDisconnectInfo;
	TDisconnectInfo = packed record
		Verbunden: ByteBool;
		AuflegeRichtung: Byte;
		Fehler: ByteBool;
		FehlerCode: Word;
	end;

	PDtmfDurations = ^TDtmfDurations;
	TDtmfDurations = packed record
		SendToneDuration    : WORD;
		SendGapDuration     : WORD;
		DetectToneDuration  : WORD;
		DetectGapDuration   : WORD;
	end;

	PQueryTapeData = ^TQueryTapeData;
	TQueryTapeData = packed record
		Enable				: ByteBool;
		MaxRecordTime	: WORD;
		Filename			: array[0..MAX_PATH] of char;
	end;

const
	// Konstanten fr CallStateProc: LineID
	LINEID_TELEPHONY   		= 1;
	LINEID_CALLWAITING 		= 2;
	LINEID_ECTDESTINATION = 3;

	// Konstanten fr TraceProc: TraceType
	TRACETYPE_INFO  = 0;
	TRACETYPE_ERROR = 1;

	// Konstanten fr TConnectInfo.VerbindungsModus
	VERBINDUNGSMODUS_UNBEKANNT = 0;
	VERBINDUNGSMODUS_BILLION_TELEFONIE = 1;
	VERBINDUNGSMODUS_BILLION_DATEN = 2;

	// Konstanten fr TDisconnectInfo.AuflegeRichtung
	AUFLEGERICHTUNG_AKTIV  = 0;
	AUFLEGERICHTUNG_PASSIV = 1;

	// AudioFrontEnd: Handset oder Headset
	// gilt nur fr T-Concept-Karten
	AUDIOFRONTEND_HANDSET  = 0;
	AUDIOFRONTEND_HEADSET  = 1;

	// COMMAND-Konstanten fr VolumeEx
	VOLUMEEX_SETDIVACTMODE_HANDSET = 1;
	VOLUMEEX_SETDIVACTMODE_SPEAKERPHONE = 2;
	VOLUMEEX_SETDIVACTVOLUME = 3;

	// Wichtige Fehler-Codes (ISDNGetLastError)

	// Init & Done
	CAPIERR_NOERROR                 = 0;  // Kein Fehler
	CAPIERR_DLLLOADERROR            = 1;  // Fehler beim CAPI2032.DLL Ladevorgang
	CAPIERR_DLLNOTALLFUNCSAVAILABLE = 2;  // Ungltige CAPI2032.DLL
	CAPIERR_INVALIDPARAMS           = 3;  // Ungltige Parameter bei CAPI_REGISTER
	CAPIERR_NOTINSTALLED            = 4;  // CAPI 2.0 ist nicht installiert
	CAPIERR_REGISTER                = 5;  // Allgemeiner Fehler bei CAPI_REGISTER
	CAPIERR_RELEASE                 = 6;  // Allgemeiner Fehler bei CAPI_RELEASE

	// Sonstige Fehler
	CAPIERR_CONINVALID              = 10;  // Ungltige oder nicht vorhandene Leitung
  CAPIERR_INVALIDSTATE            = 11;  // Ungltiger Leitungsstatus
  CAPIERR_REQUEST                 = 12;  // Allgemeiner Fehler bei CAPI_REQUEST
  CAPIERR_CONFIRMATION            = 13; // Allgemeiner Fehler bei CAPI_CONFIRMATION
  CAPIERR_RESPONSE                = 14;  // Allgemeiner Fehler bei CAPI_RESPONSE
  CAPIERR_CONISNOTCONTROLLER      = 20;  // Ungltiger (interner) Typ
  CAPIERR_CONISNOTTELEPHONY       = 21; // Ungltiger (interner) Typ
  CAPIERR_NOFREECONNECTION        = 22;  // Keine freie (interne) Verbindung
  CAPIERR_NOFREECONTROLLER        = 23; // Kein freier (interner) Controller

implementation

end.
